summaryrefslogtreecommitdiffstats
path: root/libraries/libraqm
diff options
context:
space:
mode:
author yustin <yustin@you-spam.com>2018-10-12 23:33:18 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-10-13 08:02:58 +0700
commitdfe79087f39925f2e6aa2970a1d9840f9fa26196 (patch)
tree83f3f3c148429c3814cec8bd6f12b82ce78737d0 /libraries/libraqm
parent95b63fda6a61945d69b27a34f6433399c9784869 (diff)
downloadslackbuilds-dfe79087f39925f2e6aa2970a1d9840f9fa26196.tar.gz
slackbuilds-dfe79087f39925f2e6aa2970a1d9840f9fa26196.tar.xz
libraries/libraqm: Added (text layout library).
Signed-off-by: David Spencer <baildon.research@googlemail.com>
Diffstat (limited to 'libraries/libraqm')
-rw-r--r--libraries/libraqm/README6
-rw-r--r--libraries/libraqm/libraqm.SlackBuild102
-rw-r--r--libraries/libraqm/libraqm.info10
-rw-r--r--libraries/libraqm/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/libraqm/README b/libraries/libraqm/README
new file mode 100644
index 0000000000..83775a6d7d
--- /dev/null
+++ b/libraries/libraqm/README
@@ -0,0 +1,6 @@
+Raqm is a small library that encapsulates the logic for complex text
+layout and provides a convenient API.
+
+It currently provides bidirectional text support (using FriBiDi), shaping
+(using HarfBuzz), and proper script itemization. As a result, Raqm can
+support most writing systems covered by Unicode.
diff --git a/libraries/libraqm/libraqm.SlackBuild b/libraries/libraqm/libraqm.SlackBuild
new file mode 100644
index 0000000000..a59dcbfe5e
--- /dev/null
+++ b/libraries/libraqm/libraqm.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for libraqm
+
+# Copyright 2018 yustin
+# All rights reserved until nothing is left.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libraqm
+SRCNAM=raqm
+VERSION=${VERSION:-0.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --enable-shared=yes \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libraqm/libraqm.info b/libraries/libraqm/libraqm.info
new file mode 100644
index 0000000000..c3af4a985e
--- /dev/null
+++ b/libraries/libraqm/libraqm.info
@@ -0,0 +1,10 @@
+PRGNAM="libraqm"
+VERSION="0.5.0"
+HOMEPAGE="https://github.com/HOST-Oman/libraqm/"
+DOWNLOAD="https://github.com/HOST-Oman/libraqm/releases/download/v0.5.0/raqm-0.5.0.tar.gz"
+MD5SUM="ba4a3deb05ad089df813b2d1057b1dd8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="yustin"
+EMAIL="yustin@you-spam.com"
diff --git a/libraries/libraqm/slack-desc b/libraries/libraqm/slack-desc
new file mode 100644
index 0000000000..98248ae6d0
--- /dev/null
+++ b/libraries/libraqm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libraqm: libraqm (text layout library)
+libraqm:
+libraqm: Raqm is a small library that encapsulates the logic for complex text
+libraqm: layout and provides a convenient API.
+libraqm:
+libraqm: It currently provides bidirectional text support (using FriBiDi),
+libraqm: shaping (using HarfBuzz), and proper script itemization. As a result,
+libraqm: Raqm can support most writing systems covered by Unicode.
+libraqm:
+libraqm:
+libraqm: